summaryrefslogtreecommitdiffstats
path: root/src/test/run-cli-tests-maybe-unset-ccache
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:45:59 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:45:59 +0000
commit19fcec84d8d7d21e796c7624e521b60d28ee21ed (patch)
tree42d26aa27d1e3f7c0b8bd3fd14e7d7082f5008dc /src/test/run-cli-tests-maybe-unset-ccache
parentInitial commit. (diff)
downloadceph-19fcec84d8d7d21e796c7624e521b60d28ee21ed.tar.xz
ceph-19fcec84d8d7d21e796c7624e521b60d28ee21ed.zip
Adding upstream version 16.2.11+ds.upstream/16.2.11+dsupstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/test/run-cli-tests-maybe-unset-ccache')
-rwxr-xr-xsrc/test/run-cli-tests-maybe-unset-ccache20
1 files changed, 20 insertions, 0 deletions
diff --git a/src/test/run-cli-tests-maybe-unset-ccache b/src/test/run-cli-tests-maybe-unset-ccache
new file mode 100755
index 000000000..ba72b0622
--- /dev/null
+++ b/src/test/run-cli-tests-maybe-unset-ccache
@@ -0,0 +1,20 @@
+#!/bin/sh
+set -e
+
+# ccache breaks if it sees CCACHE_DIR="", yet due to clumsiness of
+# /usr/bin/env, it's hard to avoid setting env vars for the parent;
+# unset them if they're empty
+
+if [ -z "$CCACHE_DIR" ]; then
+ unset CCACHE_DIR
+fi
+
+if [ -z "$CC" ]; then
+ unset CC
+fi
+
+if [ -z "$CXX" ]; then
+ unset CXX
+fi
+
+exec "$@"